edu.sc.seis.sod.validator.example

## Class ExampleBuilder

- java.lang.Object
- - edu.sc.seis.sod.validator.example.ExampleBuilder

-     public class ExampleBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_INT_VALUE`
    `static java.lang.String` | `DEFAULT_TEXT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleBuilder(boolean htmlReadable)`
    `ExampleBuilder(java.lang.String openBracket, java.lang.String closeBracket)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getNamespacePrefix(java.lang.String nsURL)`
    `boolean` | `isExampleInserted()`
    `void` | `setRequiredExample(Annotation ann)`
    `java.lang.String` | `toString()`
    `void` | `write(Form f)`
    `void` | `write(Form f, boolean ignoreMin)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TEXT_VALUE

          public static final java.lang.String DEFAULT_TEXT_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_INT_VALUE

          public static final int DEFAULT_INT_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExampleBuilder

          public ExampleBuilder(boolean htmlReadable)

    - #### ExampleBuilder

          public ExampleBuilder(java.lang.String openBracket,
                                java.lang.String closeBracket)

  - ### Method Detail

    - #### setRequiredExample

          public void setRequiredExample(Annotation ann)

    - #### isExampleInserted

          public boolean isExampleInserted()

    - #### write

          public void write(Form f)

    - #### write

          public void write(Form f,
                            boolean ignoreMin)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getNamespacePrefix

          public static java.lang.String getNamespacePrefix(java.lang.String nsURL)